<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: File Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('globals_b.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all file members with links to the files they belong to:</div>

<h3><a id="index_b"></a>- b -</h3><ul>
<li>BegEndDecompose
: <a class="el" href="_types_for_analysis_8h.html#a0078ab1f7b3ecb80a0febda1ac2b8ff9">TypesForAnalysis.h</a>
</li>
<li>BegEndDecomposedLoc
: <a class="el" href="_types_for_analysis_8h.html#a5caea15d49e8347db5b51ff93c2a6c3b">TypesForAnalysis.h</a>
</li>
<li>BegEndExpansionInSeparateFID_enum
: <a class="el" href="_types_for_analysis_8h.html#a75146f9c2b5cc9b211f3ae95451d85e0a3672d3a7f934afe6a757311dd1bea40c">TypesForAnalysis.h</a>
</li>
<li>BeginNEndAreFiles_enum
: <a class="el" href="_types_for_analysis_8h.html#a75146f9c2b5cc9b211f3ae95451d85e0a384d9e622f7452d88c8971698f5712d5">TypesForAnalysis.h</a>
</li>
<li>BeginNEndExpansionWithSameFID_enum
: <a class="el" href="_types_for_analysis_8h.html#a75146f9c2b5cc9b211f3ae95451d85e0a6ca1019c379c574c9f9f38b94aa114fb">TypesForAnalysis.h</a>
</li>
<li>BegisExpansionEndisFile_enum
: <a class="el" href="_types_for_analysis_8h.html#a75146f9c2b5cc9b211f3ae95451d85e0aed7784e832232a0772783b92dd054155">TypesForAnalysis.h</a>
</li>
<li>BinaryOperator_enum
: <a class="el" href="_types_for_analysis_8h.html#a3d39e178a2c4326b4000a3f89b3465dfa2105ec2e84a10ece066b6c30ac6ac93a">TypesForAnalysis.h</a>
</li>
<li>BinaryOperatorProc()
: <a class="el" href="_decl_ref_expr_proc_8h.html#a17e632ef425d71c14e55c2e5f11eb827">DeclRefExprProc.h</a>
</li>
<li>BinaryOpLogic_enum
: <a class="el" href="_types_for_analysis_8h.html#a3d39e178a2c4326b4000a3f89b3465dfa64400c584415d6b459edb02dd6e436be">TypesForAnalysis.h</a>
</li>
<li>BinaryOpProperties
: <a class="el" href="_types_for_analysis_8h.html#ae5dc60a2f3dc6fc2e7ce1b928dbf155d">TypesForAnalysis.h</a>
</li>
<li>BinaryOpPropertiesLight
: <a class="el" href="_types_for_analysis_8h.html#a24d243188049b36b82b1d6aaa30a5cdd">TypesForAnalysis.h</a>
</li>
<li>BitwiseAnd()
: <a class="el" href="_decl_ref_expr_proc_8h.html#a0522c4b8fa9228e1b04f1267787a5cb9">DeclRefExprProc.h</a>
</li>
<li>BitWiseOr()
: <a class="el" href="_decl_ref_expr_proc_8h.html#a2f4ffedeed94a6c5b04a851aa9589cfd">DeclRefExprProc.h</a>
</li>
<li>BitwiseXor()
: <a class="el" href="_decl_ref_expr_proc_8h.html#acfb2d65391a5e499eac62561360b9853">DeclRefExprProc.h</a>
</li>
<li>BlockType
: <a class="el" href="_types_for_analysis_8h.html#a3b1565f136a92f873d788adf7146a477">TypesForAnalysis.h</a>
</li>
<li>BO_Add_enum
: <a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1deae85b78c29b697e44ffbcfe961f649978">TypesForAnalysis.h</a>
</li>
<li>BO_AddAssign_enum
: <a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1dea5d01bd80987c0431894f91f0b3400389">TypesForAnalysis.h</a>
</li>
<li>BO_And_enum
: <a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1dea9fd42737a0ebd25c05038b279356e67b">TypesForAnalysis.h</a>
</li>
<li>BO_AndAssign_enum
: <a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1deaea3aaca6235df9e99ec6980c92b616f5">TypesForAnalysis.h</a>
</li>
<li>BO_Assign_enum
: <a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1deac4e040163dbfbf627d2f327e9ed81a01">TypesForAnalysis.h</a>
</li>
<li>BO_Cmp_enum
: <a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1dea4a2e8f3f2dc31840c43571314a8df2ea">TypesForAnalysis.h</a>
</li>
<li>BO_Comma_enum
: <a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1deac38117bc50d6c82790f64a2eed1c829d">TypesForAnalysis.h</a>
</li>
<li>BO_Div_enum
: <a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1dea246429134c52c14cb0ff113cd999bc6b">TypesForAnalysis.h</a>
</li>
<li>BO_DivAssign_enum
: <a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1dea924e5bff40a5549e7b65c2ac955011b8">TypesForAnalysis.h</a>
</li>
<li>BO_EQ_enum
: <a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1dea8cbbb3871b346f714f423751f99e063d">TypesForAnalysis.h</a>
</li>
<li>BO_GE_enum
: <a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1dea26158f3f92e51ee6bdfda0713e3c0ee2">TypesForAnalysis.h</a>
</li>
<li>BO_GT_enum
: <a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1dead48ed841ea027a5fe94f626bc5f85fde">TypesForAnalysis.h</a>
</li>
<li>BO_LAnd_enum
: <a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1deac220c1b9d196259403033aa14ed034b4">TypesForAnalysis.h</a>
</li>
<li>BO_LE_enum
: <a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1dea3d84f233f552924a25d33704a0d10019">TypesForAnalysis.h</a>
</li>
<li>BO_LOr_enum
: <a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1dea8875070bd7fbe6a660f702b1f200b685">TypesForAnalysis.h</a>
</li>
<li>BO_LT_enum
: <a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1deabecae98ec09f0b844e25538b7e5681c9">TypesForAnalysis.h</a>
</li>
<li>BO_Mul_enum
: <a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1dea592e35f7dc242b3e79f352e488dedb81">TypesForAnalysis.h</a>
</li>
<li>BO_MulAssign_enum
: <a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1dea401c4b5161c7011bd7d1a0b8e3c910b8">TypesForAnalysis.h</a>
</li>
<li>BO_NE_enum
: <a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1deab57db2d9edddb66174cbd81defe8d77f">TypesForAnalysis.h</a>
</li>
<li>BO_Or_enum
: <a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1dea3491753a9a5bb02f1f61a838c02eb48e">TypesForAnalysis.h</a>
</li>
<li>BO_OrAssign_enum
: <a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1dea89ba9b5d344fce6e6576c8187be1f158">TypesForAnalysis.h</a>
</li>
<li>BO_PtrMemD_enum
: <a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1dead2a62c0630fcf2ba5a5db1772c1d98d5">TypesForAnalysis.h</a>
</li>
<li>BO_PtrMemI_enum
: <a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1dea3a5636aaca592669f1f532e750c1b05e">TypesForAnalysis.h</a>
</li>
<li>BO_Rem_enum
: <a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1deaf0cc74ee80959be291e88a994ac140ee">TypesForAnalysis.h</a>
</li>
<li>BO_RemAssign_enum
: <a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1deaed7196479a8525bbff131b6cbd8c6745">TypesForAnalysis.h</a>
</li>
<li>BO_Shl_enum
: <a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1deacde585ecad2de7694c16e678cd67cb29">TypesForAnalysis.h</a>
</li>
<li>BO_ShlAssign_enum
: <a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1dea5da98f2c3de760cb810a9889b6d1622f">TypesForAnalysis.h</a>
</li>
<li>BO_Shr_enum
: <a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1deadae4d7fce75d56469c46f828ee398760">TypesForAnalysis.h</a>
</li>
<li>BO_ShrAssign_enum
: <a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1deab8ece52b48e885df30935c6d09e8ae99">TypesForAnalysis.h</a>
</li>
<li>BO_Sub_enum
: <a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1dea4761361a870cc5f7e908c0af59f18da0">TypesForAnalysis.h</a>
</li>
<li>BO_SubAssign_enum
: <a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1dea0ba4b72a39b652a56d247b89eae962ab">TypesForAnalysis.h</a>
</li>
<li>BO_Xor_enum
: <a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1deae12c84c7ff4661d6c13fe9d663c4390f">TypesForAnalysis.h</a>
</li>
<li>BO_XorAssign_enum
: <a class="el" href="_types_for_analysis_8h.html#a323ca8bb380cd54f7feb3d5f6895b1dea121f3bd454a67c7536de2f2b0849772e">TypesForAnalysis.h</a>
</li>
<li>bsoncxxType
: <a class="el" href="get_function_decls_as_o_s_processes_8hpp.html#aa9396de8135028b19da1bfde91e1852b">getFunctionDeclsAsOSProcesses.hpp</a>
, <a class="el" href="refactor-powertrain-controls_8cpp.html#aa9396de8135028b19da1bfde91e1852b">refactor-powertrain-controls.cpp</a>
, <a class="el" href="get_decl_context_and_decls_8hpp.html#aa9396de8135028b19da1bfde91e1852b">getDeclContextAndDecls.hpp</a>
</li>
<li>BuildPath()
: <a class="el" href="refactor-powertrain-controls_8cpp.html#a77e228ed2f2681234d409fbf35cc594f">refactor-powertrain-controls.cpp</a>
</li>
<li>BuiltInType_enum
: <a class="el" href="_types_for_analysis_8h.html#affdb027278230374e0f2f8b039df8076a48c5ed851328299f9651496c2d4a02d2">TypesForAnalysis.h</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
